Bug 73393 - pcmcia eth0 network not found after initial install
pcmcia eth0 network not found after initial install
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2002-09-03 19:23 EDT by Nick Mumbach
Modified: 2015-01-04 17:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-25 02:21:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nick Mumbach 2002-09-03 19:23:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
When installing on my Dell CPT laptop with it's accompanying 3com pcmcia 10/100
ethernet card/56K modem combo PC card,(3CCFEM656), the install process seems to
load PCcard services early in the install, allowing it to detect and configure
the PCcard network interface.  However, subsequent reboots attempt to start eth0
before loading the pcmcia subsystem, and therefore reports that the eth0
interface startup must be delayed.  Also, the combo modem cannot subsequently be

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.install the null beta release
2.restart when done
3.pc-card based eth0 network cannot be found
4.pc-card-based 56K modem cannot be found

Additional info:
Comment 1 Bill Nottingham 2002-09-03 20:24:18 EDT
It *should* still come up when pcmcia starts.
Comment 2 Nick Mumbach 2002-09-04 18:49:27 EDT
Interestingly, while the "start pcmcia" message appears PHYSICALLY before the
"eth0 init" failure in the boot log, (by quite a fair number of lines), the Time
Stamp on the "start pcmcia" message is 4 seconds AFTER the Time Stamp on the
"eth0 init" failure.  Unrelated asynchronous threads running afoul of each other?  

Incidentally, in the "stream of conciousness" messages that fly by while the
boot is in progress, the "eth0 init" attempt precedes the "pcmcia startup".
Comment 3 Chris Doucette 2003-12-07 05:40:23 EST
I have the same problem on a new install using v 2.4.20-8, also on a 
dell laptop, but with a REALTEK pcmcia nic.

After digging around I noticed that the startup order in rc3.d and 
rc5.d is S10network and S24pcmcia. Eth0 can't come up because there 
the pcmcia driver is not loaded.

I added the line >> ifup eth0 << to the /etc/rc.d/rc.local to bring
up the interface after everything else has initialized.

I also tried moving S24pcmcia to S101pcmcia (ie before S10network)
which also seemed to work, but changed it back. The standard ordering 
for starting daemons / services and loading drivers is a RedHat issue.

Note You need to log in before you can comment on or make changes to this bug.